org.apache.activemq.artemis.api.core.management

## Class DayCounterInfo

- java.lang.Object
- - org.apache.activemq.artemis.api.core.management.DayCounterInfo

-     public final class DayCounterInfo
      extends Object

  Helper class to create Java Objects from the JSON serialization returned by `QueueControl.listMessageCounterHistory()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DayCounterInfo(String date, long[] counters)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DayCounterInfo[]` | `fromJSON(String jsonString)` Returns an array of RoleInfo corresponding to the JSON serialization returned by `QueueControl.listMessageCounterHistory()`.
    `long[]` | `getCounters()` Returns a 24-length array corresponding to the number of messages added to the queue for the given hour of the day.
    `String` | `getDate()` Returns the date of the counter.
    `static String` | `toJSON(DayCounterInfo[] infos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DayCounterInfo

          public DayCounterInfo(String date,
                                long[] counters)

  - ### Method Detail

    - #### toJSON

          public static String toJSON(DayCounterInfo[] infos)

    - #### fromJSON

          public static DayCounterInfo[] fromJSON(String jsonString)

      Returns an array of RoleInfo corresponding to the JSON serialization returned by `QueueControl.listMessageCounterHistory()`.

    - #### getDate

          public String getDate()

      Returns the date of the counter.

    - #### getCounters

          public long[] getCounters()

      Returns a 24-length array corresponding to the number of messages added to the queue for the given hour of the day.

Copyright © 2018 The Apache Software Foundation. All rights reserved.